%define name    mDNSResponder 
%define version 62
%define release 1mdk 
%define lib_name_orig libmdns
%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define lib_nick_name %mklibname %{lib_name_orig} %{lib_major}

# Source Package
Name:           %{name} 
Summary:        Provides Name-to-address translation and Discovery of Services for Zeroconf 
Version:        %{version} 
Release:        %{release} 
Source0:        http://darwinsource.opendarwin.org/tarballs/apsl/%{name}-%{version}.tar.bz2
Patch0:		mDNSPosix-62-Makefile.patch.bz2
Patch1:		mDNSPosix-62-mdnsd.sh.patch.bz2
URL:            http://developer.apple.com/darwin/projects/rendezvous/
Group:          System/Servers 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        Apple Public Source License
Prereq:		rpm-helper
Conflicts:	tmdns

%description
mDNSResponder provides two of three requirements for Zero
Configuration Networking, namely parts:
2. Name-to-address translation (even when there is no DNS server)
3. Discovery of Services on the network (again, without infrastucture)

# Library Package
%package -n %{lib_name}

Summary:	Library for mDNSResponder
Group:		System/Libraries
Provides:       %{lib_name} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with mDNSResponder.

# Header Package
%package -n %{lib_name}-devel

Summary:	Headers for developing programs that will use mDNSResponder
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{lib_name}-devel = %{version}-%{release}
Provides:	%{lib_nick_name}-devel = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}    
Provides:	libmDNSResponder-devel

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use mDNSResponder.

# Daemon Package
%package -n %{name}-daemon

Summary:	Daemon and init.d packages for mDNSResponder
Group:		System/Servers
Requires:	bash rpm-helper %{lib_name} = %{version} %{lib_name}-devel = %{version}
Prereq:		rpm-helper
Conflicts:	tmdns

%description -n %{name}-daemon
This package contains the mdns daemon and rc.d scripts for mDNSResponder.

mDNSResponder provides two of three requirements for Zero
Configuration Networking, namely parts:
2. Name-to-address translation (even when there is no DNS server)
3. Discovery of Services on the network (again, without infrastucture)


%prep 
%setup -q 
cd mDNSPosix
%patch0 -p1	
%patch1 -p1

%build 
cd mDNSPosix
%make os=linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{_tmppath}/%{name}-%{version}-%{release}-buildroot/{etc/rc.d/rc{2,3,4,5}.d,etc/rc.d/init.d,%{_includedir},%{_sbindir},%{_libdir}}
cd mDNSPosix
%make os=linux BINDESTDIR=$RPM_BUILD_ROOT%{_sbindir} LIBDESTDIR=$RPM_BUILD_ROOT%{_libdir} INCDESTDIR=$RPM_BUILD_ROOT%{_includedir} STARTUPSCRIPTDIR=$RPM_BUILD_ROOT/etc/rc.d/init.d RUNLEVELSCRIPTSDIR=$RPM_BUILD_ROOT/etc/rc.d install
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K16mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S52mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc3.d/K16mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S52mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc4.d/K16mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S52mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc5.d/K16mdnsd
rm -f $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S52mdnsd

%clean 
rm -rf $RPM_BUILD_ROOT 

# Library
%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,0755)
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%{_libdir}/libmdns.so.1

# Headers
%post -n %{lib_name}-devel
ln -s %{_libdir}/libmdns.so.1 %{_libdir}/libmdns.so
%postun -n %{lib_name}-devel
rm -f %{_libdir}/libmdns.so

%files -n %{lib_name}-devel
%defattr(-,root,root,0755)
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%{_includedir}/dns_sd.h
%{_libdir}/libmdns.so

# Daemon
%post -n %{name}
%_post_service mdnsd
/sbin/chkconfig --add mdnsd

%preun -n %{name}
%_preun_service mdnsd
/sbin/chkconfig --del mdnsd

%files -n %{name}
%defattr(-,root,root,0755)
%doc APPLE_LICENSE README.txt ./mDNSPosix/ReadMe.txt
%{_sbindir}/mdnsd
/etc/rc.d/init.d/mdnsd

%changelog 
* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 62-1mdk
- provides libmDNSResponder-devel
- from Robin Perkins <robin.perkins@internode.on.net> : 
	- Patch to mDNSPosix Makefile for packageing purposes
	- Initial Packaging
